Subject: Re: bug#35650: [PATCH] Improving HP-UX support

From: "Osipov, Michael" <[email-masked]>
Date: Wed, 15 May 2019 12:24:43 +0200

getacl, aclsort:

Am 2019-05-14 um 18:26 schrieb Paul Eggert:
> On 5/14/19 6:52 AM, Osipov, Michael wrote:
>>
>> aCC does not exit with non-zero, it just prints a warning.
> 
> OK, I installed the attached patch to try to fix this problem with
> 'configure'. Please give it a try. We may need some more patches to fix
> the problems you evidently observed with #include_next, getacl, aclsort,
> and sys/bitypes.h.
> 

I checked acl.m4, headers in /usr/include/, manpages with errno as well 
as the affected C files:

* configure properly detects everything
* the code compiles flawlessly

so both ac_cv_func_getacl=no ac_cv_func_aclsort=no can be dropped.

Note: I don't have ACLs explcitly in use on our servers.

Michael